Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hibernate.envers.revisioninfo
Interface RevisionInfoGenerator

All Known Implementing Classes:
  DefaultRevisionInfoGenerator, DefaultTrackingModifiedEntitiesRevisionInfoGenerator

    public interface RevisionInfoGenerator

Method Summary
`void` | `entityChanged(Class entityClass, String entityName, Serializable entityId, RevisionType revisionType, Object revisionEntity)`
`Object` | `generate()`
`void` | `saveRevisionData(Session session, Object revisionData)`

Method Detail

### saveRevisionData

    void saveRevisionData(Session session,
                          Object revisionData)

### generate

    Object generate()

### entityChanged

    void entityChanged(Class entityClass,
                       String entityName,
                       Serializable entityId,
                       RevisionType revisionType,
                       Object revisionEntity)

  See Also:
    `EntityTrackingRevisionListener.entityChanged(Class, String, Serializable, RevisionType, Object)`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2012 Red Hat, Inc. All Rights Reserved.